Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1360849 - ceph-fuse fails to mount when entry exists in /etc/fstab
Summary: ceph-fuse fails to mount when entry exists in /etc/fstab
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: CephFS
Version: 2.0
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: rc
: 2.1
Assignee: John Spray
QA Contact: Ramakrishnan Periyasamy
Bara Ancincova
URL:
Whiteboard:
Depends On:
Blocks: 1322504 1383917
TreeView+ depends on / blocked
 
Reported: 2016-07-27 16:01 UTC by rakesh
Modified: 2017-07-30 15:01 UTC (History)
14 users (show)

Fixed In Version: util-linux-2.23.2-31.el7
Doc Type: Bug Fix
Doc Text:
.FUSE clients can now be mounted permanently on Red Hat Enterprise Linux 7.3 Previously, the `util-linux` package shipped with Red Hat Enterprise Linux 7.2 did not support mounting the CephFS File System in User Space (FUSE) clients in the `/etc/fstab` file. Red Hat Enterprise Linux 7.3 now includes a new version of `util-linux` that supports mounting CephFS FUSE clients permanently in `/etc/fstab`.
Clone Of:
Environment:
Last Closed: 2016-11-22 19:29:03 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2815 normal SHIPPED_LIVE Moderate: Red Hat Ceph Storage security, bug fix, and enhancement update 2017-03-22 02:06:33 UTC
Red Hat Bugzilla 1248003 None CLOSED mount only parses <param>=<value> lines from fstab fs_spec field available from blkid block device 2019-02-22 09:51:05 UTC

Internal Links: 1248003

Description rakesh 2016-07-27 16:01:49 UTC
Description of problem:

1. when trying to mount ceph-fuse in /etc/fstab, i used the following example 

id=myuser,conf=/etc/ceph/cluster.conf  /mnt/ceph2  fuse.ceph 	defaults,_netdev 0 0

and when i ran "mount -a"

I am getting error saying as:
mount: can't find id=myuser 

I tried mentioning keyring path and conf file path, the still exists and fails to mount.

Comment 3 Gregory Meno 2016-07-27 16:16:44 UTC
does myuser exist in cephx ? 

"Ensure to use the ID (for example, admin, not client.admin)"

please provide the output of ls /etc/ceph/*.keyring

Comment 4 John Spray 2016-07-27 16:31:12 UTC
Check that the mount helper (mount.fuse.ceph) is installed (should be in /usr/sbin)

Comment 5 Warren 2016-07-27 18:17:26 UTC
I have reproduced this problem.

[ubuntu@magna011 ~]$ ls /etc/ceph/*.keyring
/etc/ceph/ceph.client.admin.keyring
[ubuntu@magna011 ~]$ ls /usr/sbin | grep mount
mount.ceph
mount.fuse.ceph
[ubuntu@magna011 ~]$ cat /etc/fstab

#
# /etc/fstab
# Created by anaconda on Tue Jul 26 18:17:52 2016
#
# Accessible filesystems, by reference, are maintained under '/dev/disk'
# See man pages fstab(5), findfs(8), mount(8) and/or blkid(8) for more info
#
UUID=cbee517f-a45b-4fad-bbe8-d0316a34a263 /                       ext4    defaults        1 1
id=admin,conf=/etc/ceph/ceph.conf  /mnt/ceph2  fuse.ceph 	defaults,_netdev 0 0

[ubuntu@magna011 ~]$ sudo mount -a
mount: can't find id=admin,conf=/etc/ceph/ceph.conf


I suspect that there may be something else that needs to be installed.  I did a yum install ceph-fuse and yum install fuse prior to this.

Comment 6 Warren 2016-07-27 18:19:55 UTC
mount.fuse was missing in the previous test.  I installed it, saw it there, but still got the same message.

Comment 7 John Spray 2016-07-27 18:21:55 UTC
Googling mount.fuse.ceph we find this thread:
http://lists.ceph.com/pipermail/ceph-users-ceph.com/2015-July/003111.html

which leads to this BZ:
https://bugzilla.redhat.com/show_bug.cgi?id=1248003

It's not clear whether that ticket would ever have made to to the right RHEL people.  Hopefully someone other than myself knows who the right RHEL people are?

Comment 9 Warren 2016-07-27 21:51:05 UTC
Running the 7.3 util-linux, I get:

sudo mount -a
2016-07-27 21:49:11.988047 7f860e4c9ec0 -1 init, newargv = 0x7f86192942a0 newargc=13
ceph-fuse[30323]: starting ceph client

this is with the line:

id=admin,conf=/etc/ceph/ceph.conf   /mnt   fuse.ceph defaults,_netdev 0 0

added to /etc/fstab.

Comment 12 rakesh 2016-07-28 12:58:08 UTC
Thanks Warren,

And Gregory, Warren has provided all the information needed, so let me know if there is anything else that I can provide.

Comment 13 rakesh 2016-07-28 13:01:12 UTC
adding needinfo for Harish's query.

Comment 14 Ken Dreyer (Red Hat) 2016-07-28 13:20:13 UTC
John, what workaround should we prescribe for customers in this case?

Comment 15 John Spray 2016-07-28 13:29:45 UTC
We already require people to be on RHEL 7.3 to use the kernel client, so maybe just extend the same requirement to use of the fuse client.

I'm not very expert on how RHEL does business, was there some reason the fix for this is a 7.3 thing instead of an update to 7.2?  That would be the best thing from my point of view, to fix the bug in the releases where it's present (otherwise I suspect we will be fielding "why is my fstab not working" questions for some time).

Comment 16 Ken Dreyer (Red Hat) 2016-07-28 14:04:40 UTC
If RHEL 7.2's util-linux cannot activate ceph-fuse mounts, I'm confused how Teuthology was ever able to test ceph-fuse on CentOS 7.2?

How are customers are expected to work around this issue until RHEL 7.3 ships? Is there some alternate way to mount ceph-fuse at boot time?

(I'm hesitant to cross-ship the new util-linux in RHCS 2.0 this close to the release, because it's not clear how much testing this build has undergone, and regressions in this package could cause a system to fail to boot entirely)

Comment 19 Vasu Kulkarni 2016-07-28 19:25:51 UTC
and just going through the bz comments, i am pasting the util-linux used by teuthology runs if that helps.

[ubuntu@clara010 ~]$ rpm -qa | grep util-linu
util-linux-2.23.2-26.el7_2.2.x86_64

Comment 28 John Spray 2016-08-12 12:42:08 UTC
The note isn't quite accurate, it's not the kernel that is at fault here, it's the util-linux package.  However I don't know if that will really confuse anyone, so I don't feel strongly.

Comment 33 Ramakrishnan Periyasamy 2016-10-13 12:46:38 UTC
Moving this bug to verified state in RHEL 7.3.

Steps followed:

1. Configured ceph, mds and mounted cephfs to a client.
2. Added below entry in /etc/fstab/
"id=admin,conf=/etc/ceph/ceph.conf	/mnt/myfs	fuse.ceph	defaults,_netdev  0 0" 
3. executed "sudo mount -a"
[ubuntu@node0 ~]$ sudo mount -a
2016-10-13 12:35:46.093350 7ff9d5ca9ec0 -1 init, newargv = 0x7ff9e1cdc2a0 newargc=13
ceph-fuse[2493]: starting ceph client
ceph-fuse[2493]: starting fuse
[ubuntu@node0 ~]$ 
4. rebooted the client.
5. After reboot cephfs mount was available and able to run IO's.

Comment 35 John Spray 2016-11-14 12:39:45 UTC
Looks good to me, thanks

Comment 37 errata-xmlrpc 2016-11-22 19:29:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2815.html


Note You need to log in before you can comment on or make changes to this bug.